cereal::traits::has_minimal_base_class_serialization< Cast, Test, Archive > Struct Template Reference

Checks to see if the base class used in a cast has a minimal serialization. More...

`#include </home/shane/workspace/cereal/include/cereal/details/traits.hpp>`

Inheritance diagram for cereal::traits::has_minimal_base_class_serialization< Cast, Test, Archive >:

## Detailed Description

### template<class Cast, template< class, class > class Test, class Archive>
struct cereal::traits::has_minimal_base_class_serialization< Cast, Test, Archive >

Checks to see if the base class used in a cast has a minimal serialization.

Template Parameters

  Cast | Either base_class or virtual_base_class wrapped type
  Test | A has_minimal test (for either input or output)
  Archive | The archive to use with the test

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/traits.hpp